| CMSIS-DSP Verison 1.1.0 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Reference

Functions
arm_cfft_radix4_q15.c File Reference

## Functions

void | arm_cfft_radix4_q15 (const arm_cfft_radix4_instance_q15 *S, q15_t *pSrc)
| Processing function for the Q15 CFFT/CIFFT.
void | arm_radix4_butterfly_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CFFT butterfly process.
void | arm_radix4_butterfly_inverse_q15 (q15_t *pSrc16, uint32_t fftLen, q15_t *pCoef16, uint32_t twidCoefModifier)
| Core function for the Q15 CIFFT butterfly process.

## Function Documentation

void arm_radix4_butterfly_inverse_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

Parameters:

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_radix4_q15(), and arm_rfft_q15().

void arm_radix4_butterfly_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | q15_t * | pCoef16,
|  | uint32_t | twidCoefModifier
| ) |  |

end of Radix4_CFFT_CIFFT group

Parameters:

  [in,out] | *pSrc16 | points to the in-place buffer of Q15 data type.
  [in] | fftLen | length of the FFT.
  [in] | *pCoef16 | points to twiddle coefficient buffer.
  [in] | twidCoefModifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns:
  none.

References __SIMD32, and _SIMD32_OFFSET.

Referenced by arm_cfft_radix4_q15(), and arm_rfft_q15().